# Disabled vanilla recipes config

In your plugin folder, open the `disabled_recipes.yml`file. Here you can define what vanilla recipes you want to remove (disable). This also works for vanilla recipes registered by other plugins.

You need to define the recipe ID in the recipes list. How you obtain the ID of a recipe is up to you, but it usually uses the following pattern:

```yaml
# Disable recipes via their ID
recipes:
  - minecraft:diamond_sword

# Prevent smithing recipes via the item ID of the result
# Useful when you have upgrade recipes that overlaps with the vanilla upgrade
# Will still allow the recipe if there is an actual armor trim in the template slot. 
smithing-recipes:
  - mythicmobs:enchanted_diamond_helmet
```

You usually just type `minecraft:`and after that the material name. This example will remove the vanilla diamond sword crafting recipe. If you delete the plugin, or delete the line from here, the recipe will be restored.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.auroramc.gg/auroracrafting/configuration/disabled-vanilla-recipes-config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
